ssim::pqueueElement Struct Reference
Collaboration diagram for ssim::pqueueElement:
[legend]

## Public Member Functions

| pqueueElement (double priority, long order, bool active, SEXP event)
virtual | ~pqueueElement ()=default

## Public Attributes

double | priority
long | _order
bool | active
SEXP | event

## Detailed Description

Definition at line 6 of file pqueue.cpp.

## Constructor & Destructor Documentation

## pqueueElement()

ssim::pqueueElement::pqueueElement | ( | double | priority,
|  | long | order,
|  | bool | active,
|  | SEXP | event
| ) |  |

inline

Definition at line 11 of file pqueue.cpp.

## ~pqueueElement()

virtual ssim::pqueueElement::~pqueueElement | ( |  | ) |

virtual default

## Member Data Documentation

## _order

long ssim::pqueueElement::_order

Definition at line 8 of file pqueue.cpp.

## active

bool ssim::pqueueElement::active

Definition at line 9 of file pqueue.cpp.

## event

SEXP ssim::pqueueElement::event

Definition at line 10 of file pqueue.cpp.

## priority

double ssim::pqueueElement::priority

Definition at line 7 of file pqueue.cpp.

The documentation for this struct was generated from the following file:

- /home/marcle/src/R/microsimulation/src/pqueue.cpp